### Method

# Gtk TreeView get_cursor

#### Declaration [src]

    void
    gtk_tree_view_get_cursor (
      GtkTreeView* tree_view,
      GtkTreePath** path,
      GtkTreeViewColumn** focus_column
    )

#### Description [src]

Fills in `path` and `focus_column` with the current path and focus column. If the cursor isn’t currently set, then `path` will be `NULL`. If no column currently has focus, then `focus_column` will be `NULL`.

The returned `GtkTreePath` must be freed with gtk_tree_path_free() when you are done with it.

#### Parameters

`path` | `GtkTreePath`
| A pointer to be filled with the current cursor path.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`focus_column` | `GtkTreeViewColumn`
| A pointer to be filled with the current focus column.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.